Bug 538190 - Review Request: unicornscan - Scalable, accurate, flexible and efficient network probing
Review Request: unicornscan - Scalable, accurate, flexible and efficient netw...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On: 537805 544039
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-17 16:02 EST by Robert Scheck
Modified: 2010-01-18 18:23 EST (History)
6 users (show)

See Also:
Fixed In Version: 0.4.7-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-26 14:39:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2009-11-17 16:02:46 EST
Spec URL: http://labs.linuxnetz.de/bugzilla/unicornscan.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/unicornscan-0.4.7-1.src.rpm
Description:
Unicornscan is an attempt at a user-land distributed TCP/IP stack. It is
intended to provide a researcher a superior interface for introducing a
stimulus into and measuring a response from a TCP/IP enabled device or
network. Although it currently has hundreds of individual features, a main
set of abilities include: Asynchronous stateless TCP scanning with all
variations of TCP flags, asynchronous stateless TCP banner grabbing,
asynchronous protocol specific UDP scanning (sending enough of a signature
to elicit a response), active and passive remote OS, application and
component identification by analyzing responses, PCAP file logging and
filtering, relational database output, custom module support, customized
data-set views.
Comment 1 manuel wolfshant 2009-12-02 21:04:39 EST
There seems to be an error somewhere in the configure script, the package cannot be built in the current shape: http://koji.fedoraproject.org/koji/taskinfo?taskID=1845034
Comment 2 Robert Scheck 2009-12-03 14:00:52 EST
Bah, this is a fscking autoconf bug as it seems. Autoconf creates a busted
configure file on Rawhide, can you please try e.g. Fedora 11 for reviewing?
In the meantime, we've hopefully solved bug #544039 (which I opened now for
this). Thank you.
Comment 3 manuel wolfshant 2009-12-03 15:19:17 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: F10 and F11/x86_64. fails at the moment in devel due to bug #544039
 [x] Rpmlint output:
source RPM: unicornscan.src:39: W: configure-without-libdir-spec
-> benign
binary RPM:
unicornscan.x86_64: W: non-standard-uid /etc/unicornscan/modules.conf unicornscan
unicornscan.x86_64: W: non-standard-gid /etc/unicornscan/modules.conf unicornscan
unicornscan.x86_64: E: non-readable /etc/unicornscan/modules.conf 0640
-> intended for security reasons
 [x] Package is not relocatable.
 [x] Optional buildroot tag is correct ( %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) )
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: 5361150afa999e68076a453072830dd23dd9bfee  /home/wolfy/unicornscan-0.4.7-2.tar.bz2
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [-] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
-> existing .la files are needed by the plugins
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.


=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, i
f available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F10 and F11/x86_64 & x86
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on:F10 and F11/x86_64 & x86
 [x] Package functions as described (in F10)
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.
 [-] %check is present and the test passes.


=== Issues ===
1. The current version cannot be compiled in fedora rawhide, as pointed out in https://bugzilla.redhat.com/show_bug.cgi?id=
538190#c1 and https://bugzilla.redhat.com/show_bug.cgi?id=544039

2. It would be nice if you could also compile a version with mysql support (maybe by compiling twice, once with mysql suppo
rt and once with pgsql support --having both does not really make sense despite being theoretically possible (and done by o
ther apps)

3. If it is not too much to ask, I'd like to see the php scripts included, at least as doc if not as a separate frontend pa
ckage. That is, presuming that they work.


================
*** APPROVED *** but please wait for the rawhide version to get fixed before pushing to the repos
================
Comment 4 Robert Scheck 2009-12-03 15:56:43 EST
Manuel, thank you very much for the review.

(In reply to comment #3)
> 2. It would be nice if you could also compile a version with mysql support
> (maybe by compiling twice, once with mysql support and once with pgsql
> support --having both does not really make sense despite being theoretically 
> possible (and done by other apps)

I'm very sorry, but there is no MySQL support at unicornscan at the moment,
except the --with-mysql. If I enable that, make will fail, that the mysql.c
is missing. If I investigate deeper, there's a mysql.c (or so) in the Attic,
but if I move that file to its correct place, gcc fails with many errors. If
you can provide me a way how to get MySQL support working, let me know - and
I am happy to enable MySQL support immediately.

> 3. If it is not too much to ask, I'd like to see the php scripts included,
> at least as doc if not as a separate frontend package. That is, presuming 
> that they work.

I can ship the PHP scripts as %doc, if you wish. But when reading them, they
don't look that well engineered and not really PHP 5.3-compatible, so I decided
not to package them, because then I actually would have to fix them - without
using them.
Comment 5 Robert Scheck 2009-12-03 16:02:39 EST
New Package CVS Request
=======================
Package Name: unicornscan
Short Description: Scalable, accurate, flexible and efficient network probing
Owners: robert
Branches: EL-4 EL-5 F-11 F-12
InitialCC: 


I of course will wait with importing into CVS until the bugs #537805 and 
#544039 are solved.
Comment 6 Stepan Kasal 2009-12-03 19:07:17 EST
(In reply to comment #2)
> Autoconf creates a busted configure file on Rawhide, [...]
> bug #544039 (which I opened now for this).

Well, as explained in bug #544039, the Autoconf sources in that project are borked, though they, by mere luck, happen to produce usable output with certain versions of Autoconf.

But since your patch to configure.ac is very simple, I suggest that you do the same change to the generated configure and include it to the patch.
It seems more adequate in this particular case.
With that, you do not need to run autoconf, so you do not need to care about all the issues with the upstream Autoconf sources.

A side note: if a package runs autconf, I prefer to do it at the begining of %build, so that %prep is only a cheap unpack, without any significant computation.
Comment 7 Robert Scheck 2009-12-04 08:08:59 EST
Stephan, can you please send me the diff how you've been able to get it work?
I would like to apply that patch and send it upstream, that the next release
doesn't have the same issue anymore. I tried to do this myself, but I think, I
maybe did things wrong, as the build now fails for me.
Comment 8 Kevin Fenzi 2009-12-06 18:27:17 EST
cvs done.
Comment 9 Fedora Update System 2009-12-08 03:57:19 EST
unicornscan-0.4.7-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/unicornscan-0.4.7-2.fc11
Comment 10 Fedora Update System 2009-12-09 23:23:19 EST
unicornscan-0.4.7-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-12-09 23:28:31 EST
unicornscan-0.4.7-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-12-26 14:38:39 EST
unicornscan-0.4.7-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/unicornscan-0.4.7-2.el4
Comment 13 Fedora Update System 2009-12-26 14:39:03 EST
unicornscan-0.4.7-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/unicornscan-0.4.7-2.el5
Comment 14 Fedora Update System 2010-01-18 18:22:54 EST
unicornscan-0.4.7-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-01-18 18:23:33 EST
unicornscan-0.4.7-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.